API version(3)

NAME
API version -

  Macros
#define HWLOC_API_VERSION 0x00010a00
#define HWLOC_COMPONENT_ABI 4

  Functions
unsigned hwloc_get_api_version (void)

Detailed Description

Macro Definition Documentation

  #define HWLOC_API_VERSION 0x00010a00

Indicate at build time which hwloc API version is being used.

  #define HWLOC_COMPONENT_ABI 4

Current component and plugin ABI version (see hwloc/plugins.h)

Function Documentation

  unsigned hwloc_get_api_version (void)

Indicate at runtime which hwloc API version was used at build time.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.